Bug 1135720 - sugar-runner fails to start sugar-desktop in installed x86_64 Workstation f21 Alpha TC5
sugar-runner fails to start sugar-desktop in installed x86_64 Workstation f21...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sugar-runner (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-30 16:23 EDT by satellitgo
Modified: 2015-11-04 09:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:18:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description satellitgo 2014-08-30 16:23:34 EDT
Description of problem:
sugar-runner fails to start sugar-desktop in Workstation f21 Alpha TC5

Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-21-Alpha-TC5.iso

How reproducible:
Install workstation in VirtualBox; in terminal yum install #sugar-desktop sugar-runner
Click on sugar icon in workstation; get black screen and cannot exit.
Reboot:Select sugar from gdm; sugar-desktop runs normally.

Steps to Reproduce:
1.
2.
3.

Actual results:
get black screen and cannot exit.

Expected results:
sugar-desktop starts

Additional info:
Comment 1 satellitgo 2014-11-15 12:19:20 EST
11/14/2014 sugar-devel@lists.sugarlabs.org

With more testing it seems to run OK from the command line if you
specify a resolution eg "sugar-runner --resolution 1024x768" so I'm
not sure the issue with full screen

Peter Robinson

http://wiki.sugarlabs.org/go/Fedora_21#Fix_sugar-runner_in_workstation
Comment 2 Fedora Blocker Bugs Application 2014-11-15 12:27:27 EST
Proposed as a Freeze Exception for 21-final by Fedora user satellit using the blocker tracking app because:

 fix for running sugar-runner in f21 workstation
sugar freezes in workstation without this edit to the .desktop file
    Change desktop file in /usr/share/applications/sugar-runner.desktop
    add --resolution 1024x768 
http://wiki.sugarlabs.org/go/Fedora_21#Fix_sugar-runner_in_workstation
Comment 3 Mike Ruckman 2014-11-19 14:01:03 EST
Discussed in 2014-11-19 blocker review meeting. As long this is just a simple desktop file change, it's not risky for Fedora products, and thus accepted.
Comment 4 Adam Williamson 2014-12-05 14:46:28 EST
21 is done, cleaning blocker/FE process metadata.
Comment 5 Fedora End Of Life 2015-11-04 09:47:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.